Subject: Re: bug#68370: 30.0.50; pcase eieio, map, seq, and cl-struct constructs are not described in the manual

From: Richard Stallman <[email-masked]>
Date: Fri, 12 Jan 2024 22:50:15 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > I see no need to document specialized pcase constructs like
  > > `eshell-index-range', but eieie, map, seq, and cl-struct appears to be
  > > matching common Elisp data structures. I think that they should be
  > > documented in the manual.

That makes sense to me.

However, what I'm actually asking for about these pcase constructs is
not any change in Emacs, simply for someone to explain to me what they
do so I can give cond* similar festures.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)